{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Help Pages

/api/help/pages/{key}/content

Exposes help pages and their content as HTML or Markdown.

GET /api/help/pages/{key}/content

Returns the page content as Markdown. This is the default representation.

Parameters

Name Location Type Required Description
key path string yes help page key from the URL
format query string [html] no —

Response

Status Content Type Schema Description
200 text/markdown string page content in Markdown
200 text/html string page content in Markdown

Example Request

# Request
GET /api/help/pages/<key>/content HTTP/1.1
Accept: text/markdown
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: text/markdown

string

Example Request - HTML

# Request
GET /api/help/pages/<key>/content?format=html HTTP/1.1
Accept: text/html
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: text/html

string

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net CoWork
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help